<?php

namespace App\Models\Enums;

enum PermissionName: string
{
    case CONFIG_INDEX = 'config.index';

    case CONFIG_SETTING = 'config.setting';

    public function subPermissionRelations()
    {
        return match ($this) {
            self::CONFIG_INDEX, self::CONFIG_SETTING => [
                'email' => 'config-email',
                'browser' => 'config-browser',
            ],
            default => []
        };
    }
}
