<?php

namespace App\Libraries\ChunkedUpload\Disks;

use App\Libraries\ChunkedUpload\Contacts\ChunkedUploadContact;
use App\Services\File\Upload\ProgressBar;
use Illuminate\Http\UploadedFile;

class StandardDrive implements ChunkedUploadContact
{
    public function upload(UploadedFile $file, string $savePath, string $name, ?ProgressBar $progressBar): string
    {
        $pathname = $file->storeAs($savePath, $name);

        $progressBar?->increment($file->getSize());

        return $pathname;
    }
}
