<?php

return [
    'default' => env('BIM_DRIVER', 'black_hole'),

    'gis_extensions' => ['las', 'ply', 'pnts', 'czml', 'kml', 'wms', 'geojson', 'shp', 'bgltf', 'glb', 'glbf', 'b3dm', 'osgb'],

    'extensions' => ['rvt', 'ifc', 'fbx', '3dxml', 'gim', 'igms', 'stp', 'gltf', '3dm', 'skp', 'glb', 'dgn', 'nwd', 'nwc', 'dwg', 'rfa', 'stl', 'iges', 'glzip'],

    'black_hole' => [
        'host' => env("BLACK_HOLE_HOST", "http://175.178.242.215:9012/"),
        'client_id' => env("BLACK_HOLE_CLIENT_ID"),
        'secret_key' => env("BLACK_HOLE_SECRET_KEY"),
        'user_id' => env("BLACK_HOLE_USER_ID"),
        'project_id' => env("BLACK_HOLE_PROJECT_ID"),
    ],

    'glendale' => [
        'host' => env("GLENDALE_HOST", "http://159.75.168.101:18086"),
        'base_url' => env('GLENDALE_BASE_URL', ''),
        'intranet_host' => env('GLENDALE_INTRANET_HOST', ''),
        'token' => env("GLENDALE_TOKEN"),
        'project_id' => env("GLENDALE_PROJECT_ID"),
    ]
];
